/*
 * Class SED_ERROR_FACTORY
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_28 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_28 [] = {0xFF01,1551,27,0xFFFF};
static const EIF_TYPE_INDEX egt_2_28 [] = {0xFF01,27,0xFFFF};
static const EIF_TYPE_INDEX egt_3_28 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_28 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_28 [] = {0xFF01,27,0xFFFF};
static const EIF_TYPE_INDEX egt_6_28 [] = {0xFF01,27,0xFFFF};
static const EIF_TYPE_INDEX egt_7_28 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_28 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_28 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_28 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_28 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_28 [] = {0xFF01,27,0xFFFF};
static const EIF_TYPE_INDEX egt_13_28 [] = {0xFF01,32,0xFFFF};
static const EIF_TYPE_INDEX egt_14_28 [] = {0xFF01,32,0xFFFF};
static const EIF_TYPE_INDEX egt_15_28 [] = {0xFF01,32,0xFFFF};
static const EIF_TYPE_INDEX egt_16_28 [] = {0xFF01,32,0xFFFF};
static const EIF_TYPE_INDEX egt_17_28 [] = {0xFF01,32,0xFFFF};
static const EIF_TYPE_INDEX egt_18_28 [] = {0xFF01,32,0xFFFF};
static const EIF_TYPE_INDEX egt_19_28 [] = {0xFF01,32,0xFFFF};
static const EIF_TYPE_INDEX egt_20_28 [] = {0xFF01,32,0xFFFF};
static const EIF_TYPE_INDEX egt_21_28 [] = {0xFF01,32,0xFFFF};
static const EIF_TYPE_INDEX egt_22_28 [] = {0xFF01,32,0xFFFF};
static const EIF_TYPE_INDEX egt_23_28 [] = {0xFF01,32,0xFFFF};
static const EIF_TYPE_INDEX egt_24_28 [] = {0xFF01,32,0xFFFF};
static const EIF_TYPE_INDEX egt_25_28 [] = {0xFF01,560,0xFFFF};


static const struct desc_info desc_28[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_28), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_28), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_28), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_28), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_28), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_28), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_28), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_28), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_28), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_28), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_28), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_28), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x37 /*27*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_28), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_28), 236, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_28), 237, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_28), 238, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_28), 239, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_28), 240, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_28), 241, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_28), 242, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_28), 243, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_28), 244, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_28), 245, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_28), 246, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_28), 247, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_28), 235, 0xFFFFFFFF},
};
void Init28(void)
{
	IDSC(desc_28, 0, 27);
	IDSC(desc_28 + 1, 1, 27);
	IDSC(desc_28 + 32, 1410, 27);
}


#ifdef __cplusplus
}
#endif
